### Hierarchy

- Transform
  - Pipe

### Implements

- ReadableStream
- Writable

## Index

### Constructors

- constructor

### Properties

- readable
- readableHighWaterMark
- readableLength
- writable
- writableHighWaterMark
- writableLength
- defaultMaxListeners

### Methods

- __@asyncIterator
- _destroy
- _final
- _read
- _transform
- _write
- _writev
- addListener
- cork
- destroy
- emit
- end
- eventNames
- getMaxListeners
- isPaused
- listenerCount
- listeners
- off
- on
- once
- pause
- pipe
- prependListener
- prependOnceListener
- push
- rawListeners
- read
- removeAllListeners
- removeListener
- resume
- setDefaultEncoding
- setEncoding
- setMaxListeners
- uncork
- unpipe
- unshift
- wrap
- write
- listenerCount

## Constructors

### constructor

- new Pipe(opts?: TransformOptions): Pipe

- Inherited from Transform.__constructor

  Overrides Duplex.__constructor

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6193

  #### Parameters

  - ##### Optional opts: TransformOptions

  #### Returns Pipe

## Properties

### readable

readable: boolean

Inherited from Readable.readable

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5986

### readableHighWaterMark

readableHighWaterMark: number

Inherited from Readable.readableHighWaterMark

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5987

### readableLength

readableLength: number

Inherited from Readable.readableLength

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5988

### writable

writable: boolean

Inherited from Duplex.writable

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6168

### writableHighWaterMark

writableHighWaterMark: number

Inherited from Duplex.writableHighWaterMark

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6169

### writableLength

writableLength: number

Inherited from Duplex.writableLength

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6170

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1024

## Methods

### __@asyncIterator

- __@asyncIterator(): AsyncIterableIterator<Buffer | string>

- Inherited from Readable.[Symbol.asyncIterator]

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6061

  #### Returns AsyncIterableIterator<Buffer | string>

### _destroy

- _destroy(error: Error | null, callback: function): void

- Inherited from Duplex._destroy

  Overrides Readable._destroy

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6174

  #### Parameters

  - ##### error: Error | null

  - ##### callback: function

    - - (error?: Error): void

      - #### Parameters

        - ##### Optional error: Error

        #### Returns void

### _final

- _final(callback: Function): void

- Inherited from Duplex._final

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6175

  #### Parameters

  - ##### callback: Function

  #### Returns void

### _read

- _read(size: number): void

- Inherited from Readable._read

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5990

  #### Parameters

  - ##### size: number

  #### Returns void

### _transform

- _transform(chunk: Buffer | string, encoding: string, callback: function): void

- Overrides Transform._transform

  - Defined in export/packer/stream.ts:7

  #### Parameters

  - ##### chunk: Buffer | string

  - ##### encoding: string

  - ##### callback: function

    - - (): void

      - #### Returns void

### _write

- _write(chunk: any, encoding: string, callback: function): void

- Inherited from Duplex._write

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6172

  #### Parameters

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: function

    - - (err?: Error): void

      - #### Parameters

        - ##### Optional err: Error

        #### Returns void

### Optional _writev

- _writev(chunks: Array<object>, callback: function): void

- Inherited from Duplex._writev

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6173

  #### Parameters

  - ##### chunks: Array<object>

  - ##### callback: function

    - - (err?: Error): void

      - #### Parameters

        - ##### Optional err: Error

        #### Returns void

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "close", listener: function): this
- addListener(event: "data", listener: function): this
- addListener(event: "end", listener: function): this
- addListener(event: "readable", listener: function): this
- addListener(event: "error", listener: function): this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6012

  Event emitter The defined events on documents including:

  1. close
  2. data
  3. end
  4. readable
  5. error

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6013

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6014

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6015

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6016

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6017

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

### cork

- cork(): void

- Inherited from Duplex.cork

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6182

  #### Returns void

### destroy

- destroy(error?: Error): void

- Inherited from Transform.destroy

  Overrides Readable.destroy

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6196

  #### Parameters

  - ##### Optional error: Error

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "close"): boolean
- emit(event: "data", chunk: Buffer | string): boolean
- emit(event: "end"): boolean
- emit(event: "readable"): boolean
- emit(event: "error", err: Error): boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6019

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6020

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6021

  #### Parameters

  - ##### event: "data"

  - ##### chunk: Buffer | string

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6022

  #### Parameters

  - ##### event: "end"

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6023

  #### Parameters

  - ##### event: "readable"

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6024

  #### Parameters

  - ##### event: "error"

  - ##### err: Error

  #### Returns boolean

### end

- end(cb?: Function): void
- end(chunk: any, cb?: Function): void
- end(chunk: any, encoding?: undefined | string, cb?: Function): void

- Inherited from Duplex.end

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6179

  #### Parameters

  - ##### Optional cb: Function

  #### Returns void

- Inherited from Duplex.end

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6180

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: Function

  #### Returns void

- Inherited from Duplex.end

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6181

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: Function

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1039

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1035

  #### Returns number

### isPaused

- isPaused(): boolean

- Inherited from Readable.isPaused

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5995

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1040

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1036

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1032

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "close", listener: function): this
- on(event: "data", listener: function): this
- on(event: "end", listener: function): this
- on(event: "readable", listener: function): this
- on(event: "error", listener: function): this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6026

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6027

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6028

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6029

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6030

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6031

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "close", listener: function): this
- once(event: "data", listener: function): this
- once(event: "end", listener: function): this
- once(event: "readable", listener: function): this
- once(event: "error", listener: function): this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6033

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6034

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6035

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6036

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6037

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6038

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

### pause

- pause(): this

- Inherited from Readable.pause

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5993

  #### Returns this

### pipe

- pipe<T>(destination: T, options?: undefined | object): T

- Inherited from internal.pipe

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5971

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### destination: T

  - ##### Optional options: undefined | object

  #### Returns T

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "close", listener: function): this
- prependListener(event: "data", listener: function): this
- prependListener(event: "end", listener: function): this
- prependListener(event: "readable", listener: function): this
- prependListener(event: "error", listener: function): this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6040

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6041

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6042

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6043

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6044

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6045

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "close", listener: function): this
- prependOnceListener(event: "data", listener: function): this
- prependOnceListener(event: "end", listener: function): this
- prependOnceListener(event: "readable", listener: function): this
- prependOnceListener(event: "error", listener: function): this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6047

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6048

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6049

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6050

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6051

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6052

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

### push

- push(chunk: any, encoding?: undefined | string): boolean

- Inherited from Readable.push

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5999

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  #### Returns boolean

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1037

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### read

- read(size?: undefined | number): any

- Inherited from Readable.read

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5991

  #### Parameters

  - ##### Optional size: undefined | number

  #### Returns any

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1033

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string, listener: function): this
- removeListener(event: "close", listener: function): this
- removeListener(event: "data", listener: function): this
- removeListener(event: "end", listener: function): this
- removeListener(event: "readable", listener: function): this
- removeListener(event: "error", listener: function): this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6054

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6055

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6056

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6057

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6058

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6059

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

### resume

- resume(): this

- Inherited from Readable.resume

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5994

  #### Returns this

### setDefaultEncoding

- setDefaultEncoding(encoding: string): this

- Inherited from Duplex.setDefaultEncoding

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6178

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setEncoding

- setEncoding(encoding: string): this

- Inherited from Readable.setEncoding

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5992

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1034

  #### Parameters

  - ##### n: number

  #### Returns this

### uncork

- uncork(): void

- Inherited from Duplex.uncork

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6183

  #### Returns void

### unpipe

- unpipe<T>(destination?: T): this

- Inherited from Readable.unpipe

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5996

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### Optional destination: T

  #### Returns this

### unshift

- unshift(chunk: any): void

- Inherited from Readable.unshift

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5997

  #### Parameters

  - ##### chunk: any

  #### Returns void

### wrap

- wrap(oldStream: ReadableStream): this

- Inherited from Readable.wrap

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5998

  #### Parameters

  - ##### oldStream: ReadableStream

  #### Returns this

### write

- write(chunk: any, cb?: Function): boolean
- write(chunk: any, encoding?: undefined | string, cb?: Function): boolean

- Inherited from Duplex.write

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6176

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: Function

  #### Returns boolean

- Inherited from Duplex.write

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6177

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: Function

  #### Returns boolean

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1023
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc